{% extends "base.html" %}

{% block content %}
{% include 'header.html' %}

{% with messages = get_flashed_messages(with_categories=true) %}
{% if messages %}
    <div id="zoneMessages" class="mb-5">
        {% for category, message in messages %}
            <div class="alert alert-{{ category }}">{{ message }}</div>
        {% endfor %}
    </div>
{% else %}
    <div>
        <h3>{{ translations[language]["infoIRIS"] }} {{ neighbourhood.properties.CODE_IRIS }} - {{ neighbourhood.properties.NOM_IRIS }}</h3>

        <table class="table table-striped table-hover table-sm">
            <thead>
            <tr>
                <th>{{ translations[language]["propertyCode"] }}</th>
                <th>{{ translations[language]["propertyLabel"] }}</th>
                <th>{{ translations[language]["value"] }}</th>
            </tr>
            </thead>
            <tbody>
            <tr>
                <td>CODE_IRIS</td>
                <td>{{ translations[language]["KWcodeIRIS"] }}</td>
                <td>{{ neighbourhood.properties.CODE_IRIS }}</td>
            </tr>
            <tr>
                <td>NOM_IRIS</td>
                <td>{{ translations[language]["KWnameIRIS"] }}</td>
                <td>{{ neighbourhood.properties.NOM_IRIS }}</td>
            </tr>
            <tr>
                <td>TYP_IRIS</td>
                <td>{{ translations[language]["KWtypeIRIS"] }}</td>
                <td>{{ neighbourhood.properties.TYP_IRIS }}</td>
            </tr>
            <tr>
                <td>INSEE_COM</td>
                <td>{{ translations[language]["KWpostcodeIRIS"] }}</td>
                <td>{{ neighbourhood.properties.INSEE_COM }}</td>
            </tr>
            <tr>
                <td>NOM_COM</td>
                <td>{{ translations[language]["KWcitynameIRIS"] }}</td>
                <td>{{ neighbourhood.properties.NOM_COM }}</td>
            </tr>
            <tr>
                <td>DEP</td>
                <td>{{ translations[language]["KWdepIRIS"] }}</td>
                <td>{{ neighbourhood.properties.DEP }}</td>
            </tr>
            </tbody>
        </table>

        <h3>{{ translations[language]["groupedIRIS"] }} {{ neighbourhood.properties.CODE_IRIS }} - {{ neighbourhood.properties.NOM_IRIS }}</h3>

        <table class="table table-striped table-hover table-sm">
            <thead>
            <tr>
                <th>{{ translations[language]["indicatorLabel"] }}</th>
                <th>{{ translations[language]["value"] }}</th>
            </tr>
            </thead>
            <tbody>
            {% for key in neighbourhood.properties.grouped_indicators %}
            <tr>
                <td>{{ key }}</td>
                <td>{{ neighbourhood.properties.grouped_indicators[key] }}</td>
            </tr>
            {% endfor %}
            </tbody>
        </table>

        <h3>{{ translations[language]["rawIRIS"] }} {{ neighbourhood.properties.CODE_IRIS }} - {{ neighbourhood.properties.NOM_IRIS }}</h3>

        <table class="table table-striped table-hover table-sm">
            <thead>
            <tr>
                <th>{{ translations[language]["indicatorCode"] }}</th>
                <th>{{ translations[language]["indicatorLabel"] }}</th>
                <th>{{ translations[language]["value"] }}</th>
            </tr>
            </thead>
            <tbody>
            {% for key in neighbourhood.properties.raw_indicators %}
            <tr>
                <td>{{ key }}</td>
                <td>{{ dict_code_label[key]['long_fieldname'] }}</td>
                <td>{{ neighbourhood.properties.raw_indicators[key] }}</td>
            </tr>
            {% endfor %}
            </tbody>
        </table>

    </div>
{% endif %}
{% endwith %}





{% include 'footer2.html' %}
{% endblock %}

